SUBDIRS = compat

install-data-local:
	for file in `cat $(srcdir)/old_desktop_files` ; do \
	    if test -f $(DESTDIR)$(kde_appsdir)/$${file} ; then \
	        rm $(DESTDIR)$(kde_appsdir)/$${file} ; \
		echo Deleting $(DESTDIR)$(kde_appsdir)/$${file} ; \
	    fi; \
	done
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)
	$(INSTALL_DATA) $(srcdir)/.directory $(DESTDIR)$(kde_appsdir)/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Applications
	$(INSTALL_DATA) $(srcdir)/applications.desktop $(DESTDIR)$(kde_appsdir)/Applications/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Development
	$(INSTALL_DATA) $(srcdir)/development.desktop $(DESTDIR)$(kde_appsdir)/Development/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Edutainment
	$(INSTALL_DATA) $(srcdir)/edutainment.desktop $(DESTDIR)$(kde_appsdir)/Edutainment/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games
	$(INSTALL_DATA) $(srcdir)/games.desktop $(DESTDIR)$(kde_appsdir)/Games/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games/Arcade
	$(INSTALL_DATA) $(srcdir)/games-arcade.desktop $(DESTDIR)$(kde_appsdir)/Games/Arcade/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games/Board
	$(INSTALL_DATA) $(srcdir)/games-board.desktop $(DESTDIR)$(kde_appsdir)/Games/Board/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games/Card
	$(INSTALL_DATA) $(srcdir)/games-card.desktop $(DESTDIR)$(kde_appsdir)/Games/Card/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games/TacticStrategy/
	$(INSTALL_DATA) $(srcdir)/games-tacticstrategy.desktop $(DESTDIR)$(kde_appsdir)/Games/TacticStrategy/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games/Roguelikes
	$(INSTALL_DATA) $(srcdir)/games-roguelikes.desktop $(DESTDIR)$(kde_appsdir)/Games/Roguelikes/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Games/Kidsgames
	$(INSTALL_DATA) $(srcdir)/games-kidsgames.desktop $(DESTDIR)$(kde_appsdir)/Games/Kidsgames/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Graphics
	$(INSTALL_DATA) $(srcdir)/graphics.desktop $(DESTDIR)$(kde_appsdir)/Graphics/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Graphics/More
	$(INSTALL_DATA) $(srcdir)/more.desktop $(DESTDIR)$(kde_appsdir)/Graphics/More/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Multimedia
	$(INSTALL_DATA) $(srcdir)/multimedia.desktop $(DESTDIR)$(kde_appsdir)/Multimedia/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Multimedia/More
	$(INSTALL_DATA) $(srcdir)/more.desktop $(DESTDIR)$(kde_appsdir)/Multimedia/More/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/System
	$(INSTALL_DATA) $(srcdir)/system.desktop $(DESTDIR)$(kde_appsdir)/System/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/System/ScreenSavers
	$(INSTALL_DATA) $(srcdir)/system-screensavers.desktop $(DESTDIR)$(kde_appsdir)/System/ScreenSavers/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/System/Terminal
	$(INSTALL_DATA) $(srcdir)/system-terminal.desktop $(DESTDIR)$(kde_appsdir)/System/Terminal/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/System/More
	$(INSTALL_DATA) $(srcdir)/more.desktop $(DESTDIR)$(kde_appsdir)/System/More/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Internet
	$(INSTALL_DATA) $(srcdir)/internet.desktop $(DESTDIR)$(kde_appsdir)/Internet/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Internet/Terminal
	$(INSTALL_DATA) $(srcdir)/internet-terminal.desktop $(DESTDIR)$(kde_appsdir)/Internet/Terminal/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Internet/More
	$(INSTALL_DATA) $(srcdir)/more.desktop $(DESTDIR)$(kde_appsdir)/Internet/More/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Utilities
	$(INSTALL_DATA) $(srcdir)/utilities.desktop $(DESTDIR)$(kde_appsdir)/Utilities/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Utilities/More
	$(INSTALL_DATA) $(srcdir)/more.desktop $(DESTDIR)$(kde_appsdir)/Utilities/More/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Utilities/XUtilities
	$(INSTALL_DATA) $(srcdir)/utilities-xutils.desktop $(DESTDIR)$(kde_appsdir)/Utilities/XUtilities/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Office
	$(INSTALL_DATA) $(srcdir)/office.desktop $(DESTDIR)$(kde_appsdir)/Office/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Editors
	$(INSTALL_DATA) $(srcdir)/editors.desktop $(DESTDIR)$(kde_appsdir)/Editors/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Toys
	$(INSTALL_DATA) $(srcdir)/toys.desktop $(DESTDIR)$(kde_appsdir)/Toys/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settingsmenu
	$(INSTALL_DATA) $(srcdir)/settingsmenu.desktop $(DESTDIR)$(kde_appsdir)/Settingsmenu/.directory

	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings
	$(INSTALL_DATA) $(srcdir)/settings.desktop $(DESTDIR)$(kde_appsdir)/Settings/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/LookNFeel
	$(INSTALL_DATA) $(srcdir)/settings-looknfeel.desktop $(DESTDIR)$(kde_appsdir)/Settings/LookNFeel/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Information
	$(INSTALL_DATA) $(srcdir)/settings-information.desktop $(DESTDIR)$(kde_appsdir)/Settings/Information/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Sound
	$(INSTALL_DATA) $(srcdir)/settings-sound.desktop $(DESTDIR)$(kde_appsdir)/Settings/Sound/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Peripherals
	$(INSTALL_DATA) $(srcdir)/settings-peripherals.desktop $(DESTDIR)$(kde_appsdir)/Settings/Peripherals/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Desktop
	$(INSTALL_DATA) $(srcdir)/settings-desktop.desktop $(DESTDIR)$(kde_appsdir)/Settings/Desktop/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Network/WebBrowsing
	$(INSTALL_DATA) $(srcdir)/settings-webbrowsing.desktop $(DESTDIR)$(kde_appsdir)/Settings/Network/WebBrowsing/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/PowerControl
	$(INSTALL_DATA) $(srcdir)/settings-power.desktop $(DESTDIR)$(kde_appsdir)/Settings/PowerControl/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Security
	$(INSTALL_DATA) $(srcdir)/settings-person.desktop $(DESTDIR)$(kde_appsdir)/Settings/Security/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Network
	$(INSTALL_DATA) $(srcdir)/settings-network.desktop $(DESTDIR)$(kde_appsdir)/Settings/Network/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/System
	$(INSTALL_DATA) $(srcdir)/settings-system.desktop $(DESTDIR)$(kde_appsdir)/Settings/System/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Accessibility
	$(INSTALL_DATA) $(srcdir)/settings-accessibility.desktop $(DESTDIR)$(kde_appsdir)/Settings/Accessibility/.directory
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Components
	$(INSTALL_DATA) $(srcdir)/settings-components.desktop $(DESTDIR)$(kde_appsdir)/Settings/Components/.directory

uninstall-local:
	-rm -f $(DESTDIR)$(kde_appsdir)/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Applications/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Games/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Games/Arcade/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Games/Board/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Games/Card/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Games/TacticStrategy/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Games/Roguelikes/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Graphics/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Graphics/More/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Multimedia/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Multimedia/More/.directory

	-rm -f $(DESTDIR)$(DESTDIR)$(kde_appsdir)/System/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/System/ScreenSavers/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/System/Terminal/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/System/More/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Internet/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Internet/Terminal/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Internet/More/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Utilities/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Utilities/More/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Utilities/XUtilities/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Office/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Settingsmenu/.directory

	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/LookNFeel/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Information/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Sound/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Peripherals/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Help/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Network/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Network/WebBrowsing/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/PowerControl/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Security/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Accessibility/.directory
	-rm -f $(DESTDIR)$(kde_appsdir)/Settings/Components/.directory
